#include "../includes/charge.h"

char *readAdress(FILE *flot)
{
	char *adresse, *s, aux[5];
	int i=0, tmax=5;
	adresse = (char *)malloc(sizeof(char)*tmax);
	fgets(adresse, 5, flot);

	while (adresse[i]!='\n')
	{
		if (i==tmax)
		{
			tmax+=5;
			s = (char *)realloc(adresse, tmax*sizeof(char));
			if (s==NULL)
			{
				printf("\033[0;31mErreur: \033[0mreallocation pour str adresse\n");
				exit(1);
			}
			adresse=s;
			fgets(aux, 5, flot);
			strcat(adresse, aux);
		}
		i++;
	}
	adresse[strlen(adresse)-1]='\0';
	return adresse;
}

Precedence *loadPrec(int *tmax)
{
	FILE *prec;
	int i=0, (*tmax)=5;
	Precedence *tabP, *s, pre;
	prec=fopen("précédence.txt", "r");
	if (prec == NULL)
	{
		printf("\033[0;31mErreur: \033[0mouverture de 'précédence.txt'\n");
	}
	tabP = (Precedence *)malloc(tmax*sizeof(Precedence));
	while(!feof(prec))
	{
		if(i==tmax)
		{
			(*tmax)+=5;
			s = (Precedence *)malloc((*tmax)*sizeof(Precedence));
			if (s==NULL)
			{
				printf("\033[0;31mErreur: \033[0mreallocation pour fichier précédence\n");
				exit(1);
			}
			tabP = s;
		}
		fscanf("%s %s",p.travauxPrec, p.travauxSucc);
		i++;
	}
	fclose(prec);
}

Tache **chargeTaches(Offre *tabTravaux[])
{
	Tache *tabTache[8];
	int i;
	Tache *t;
	for (i=0; i<tmaxTravaux; i++)
	{
		t=(Tache *)malloc(sizeof(Tache));
		if (t==NULL)
		{
			printf("\033[0;31mErreur: \033[0mmalloc tache\n");
			exit(1);
		}

		t->tache = tabTravaux[i]->travaux;
		t->duree = tabTravaux[i]->ldevis->duree;

		

		tabTache[i] = t; 
	}
	return tabTache;
}